Bug 102 - Missing BuildRequires (libxslt)
: Missing BuildRequires (libxslt)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdelibs)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-10-22 09:44 by
Modified: 2009-05-10 09:31 (History)


Attachments
0000102-193.bz2 (deleted)
2001-10-22 12:32, Andrey Brindeyev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-10-22 09:44:26
libtool: ignoring unknown tag CXX
c++ -DNDEBUG -O2 -pipe -Wall -O2 -fexpensive-optimizations -march=i686 -fno-exceptions -fno-check-new -ftemplate-depth-99 -DQT_NO_TRANSLATION -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT -DQT_NO_ASCII_CAST -o .libs/kio_help.la.closure kio_help_la_closure.o kio_help_la.all_cpp.o  -L/lib -L/usr/X11R6/lib -L/usr/lib ../kio/.libs/libksycoca.so /usr/src/RPM/BUILD/kdelibs-2.2.1/kio/.libs/libkio.so /usr/src/RPM/BUILD/kdelibs-2.2.1/kdesu/.libs/libkdesu.so -lutil /usr/src/RPM/BUILD/kdelibs-2.2.1/kssl/.libs/libkssl.so /usr/src/RPM/BUILD/kdelibs-2.2.1/kdeui/.libs/libkdeui.so /usr/src/RPM/BUILD/kdelibs-2.2.1/kdecore/.libs/libkdecore.so -ldl /usr/src/RPM/BUILD/kdelibs-2.2.1/dcop/.libs/libDCOP.so -lqt -lpng -lm /usr/lib/libjpeg.so -lXext -lX11 -lSM -lICE -lresolv -lXinerama -lz -lfam -lbz2 libkfilters.a -lxslt  -Wl,--rpath -Wl,/usr/lib
/usr/bin/ld: cannot find -lxslt
collect2: ld returned 1 exit status
make[2]: *** [kio_help.la.closure] Error 1
make[2]: Leaving directory `/usr/src/RPM/BUILD/kdelibs-2.2.1/kdoctools\'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/RPM/BUILD/kdelibs-2.2.1\'
make: *** [all-recursive-am] Error 2
Bad exit status from /var/tmp/rpm-tmp.89988 (%build)
---

---
(3) [09:46:05][<a href="mailto:abr@abr.tool.ru" target="_new">abr@abr.tool.ru</a> : ~/SRPMS]
$ ls kdelibs*
kdelibs-2.2.1-alt6.src.rpm

После установки libxslt-1.0.5-alt1 все собирается
------- Comment #1 From 2001-10-22 12:31:17 -------
Наврал я, каюсь. Не собирается.
На этапе %install не находит некоторые файлы.
Сильное подозрение на отсутствие нужной BuildRequires (связанной с arts). Пожатый bzip2\'ом лог сборки сейчас прицеплю.
------- Comment #2 From 2001-10-22 12:31:17 -------
Наврал я, каюсь. Не собирается.
На этапе %install не находит некоторые файлы.
Сильное подозрение на отсутствие нужной BuildRequires (связанной с arts). Пожатый bzip2\'ом лог сборки сейчас прицеплю.
------- Comment #3 From 2001-10-22 13:35:54 -------
Исследование лога сборки: примерно на 48% найдено вот что:

make[3]: Entering directory `/usr/src/RPM/BUILD/kdelibs-2.2.1/dcop\'
/bin/sh ../admin/mkinstalldirs /var/tmp/kdelibs-buildroot/usr/lib
mkdir /var/tmp/kdelibs-buildroot
mkdir /var/tmp/kdelibs-buildroot/usr
mkdir /var/tmp/kdelibs-buildroot/usr/lib
/bin/sh ../libtool  --mode=install /usr/bin/install -c -p libDCOP.la
/var/tmp/kdelibs-buildroot/usr/lib/libDCOP.la
/usr/bin/install -c -p .libs/libDCOP.so.1.0.0
/var/tmp/kdelibs-buildroot/usr/lib/libDCOP.so.1.0.0
(cd /var/tmp/kdelibs-buildroot/usr/lib &amp;&amp; rm -f libDCOP.so.1 &amp;&amp;
ln -s libDCOP.so.1.0.0 libDCOP.so.1)
(cd /var/tmp/kdelibs-buildroot/usr/lib &amp;&amp; rm -f libDCOP.so &amp;&amp;
ln -s libDCOP.so.1.0.0 libDCOP.so)
/usr/bin/install -c -p .libs/libDCOP.lai
/var/tmp/kdelibs-buildroot/usr/lib/libDCOP.la
/usr/bin/install -c -p .libs/libDCOP.a
/var/tmp/kdelibs-buildroot/usr/lib/libDCOP.a
ranlib /var/tmp/kdelibs-buildroot/usr/lib/libDCOP.a
chmod 644 /var/tmp/kdelibs-buildroot/usr/lib/libDCOP.a
libtool: install: warning: remember to run `libtool --finish /usr/lib\'
/bin/sh ../libtool  --mode=install /usr/bin/install -c -p dcopserver.la
/var/tmp/kdelibs-buildroot/usr/lib/dcopserver.la
libtool: install: warning: relinking `dcopserver.la\'
cd /usr/src/RPM/BUILD/kdelibs-2.2.1/dcop; /bin/sh ../libtool --mode=relink c++
-DNDEBUG -O2 -pipe -Wall -O2 -fexpensive-optimizations -march=i686
-fno-exceptions -fno-check-new -ftemplate-depth-99 -DQT_NO_TRANSLATION
-DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT -DQT_NO_ASCII_CAST -L/usr/X11R6/lib
-L/usr/lib -o dcopserver.la -rpath /usr/lib -module -avoid-version
dcopserver_la.all_cpp.lo libDCOP.la
gcc -shared  dcopserver_la.all_cpp.lo  -L/usr/X11R6/lib -L/usr/lib -lDCOP  -lc 
-Wl,-soname -Wl,dcopserver.so -o .libs/dcopserver.so
/usr/bin/ld: cannot find -lDCOP
collect2: ld returned 1 exit status
libtool: install: error: relink `dcopserver.la\' with the above command before
installing it
libtool: install: warning: remember to run `libtool --finish /usr/lib\'

Последняя строка особенно часто встречается в логе.
------- Comment #4 From 2001-10-22 13:35:54 -------
Исследование лога сборки: примерно на 48% найдено вот что:

make[3]: Entering directory `/usr/src/RPM/BUILD/kdelibs-2.2.1/dcop\'
/bin/sh ../admin/mkinstalldirs /var/tmp/kdelibs-buildroot/usr/lib
mkdir /var/tmp/kdelibs-buildroot
mkdir /var/tmp/kdelibs-buildroot/usr
mkdir /var/tmp/kdelibs-buildroot/usr/lib
/bin/sh ../libtool  --mode=install /usr/bin/install -c -p libDCOP.la
/var/tmp/kdelibs-buildroot/usr/lib/libDCOP.la
/usr/bin/install -c -p .libs/libDCOP.so.1.0.0
/var/tmp/kdelibs-buildroot/usr/lib/libDCOP.so.1.0.0
(cd /var/tmp/kdelibs-buildroot/usr/lib &amp;&amp; rm -f libDCOP.so.1 &amp;&amp;
ln -s libDCOP.so.1.0.0 libDCOP.so.1)
(cd /var/tmp/kdelibs-buildroot/usr/lib &amp;&amp; rm -f libDCOP.so &amp;&amp;
ln -s libDCOP.so.1.0.0 libDCOP.so)
/usr/bin/install -c -p .libs/libDCOP.lai
/var/tmp/kdelibs-buildroot/usr/lib/libDCOP.la
/usr/bin/install -c -p .libs/libDCOP.a
/var/tmp/kdelibs-buildroot/usr/lib/libDCOP.a
ranlib /var/tmp/kdelibs-buildroot/usr/lib/libDCOP.a
chmod 644 /var/tmp/kdelibs-buildroot/usr/lib/libDCOP.a
libtool: install: warning: remember to run `libtool --finish /usr/lib\'
/bin/sh ../libtool  --mode=install /usr/bin/install -c -p dcopserver.la
/var/tmp/kdelibs-buildroot/usr/lib/dcopserver.la
libtool: install: warning: relinking `dcopserver.la\'
cd /usr/src/RPM/BUILD/kdelibs-2.2.1/dcop; /bin/sh ../libtool --mode=relink c++
-DNDEBUG -O2 -pipe -Wall -O2 -fexpensive-optimizations -march=i686
-fno-exceptions -fno-check-new -ftemplate-depth-99 -DQT_NO_TRANSLATION
-DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT -DQT_NO_ASCII_CAST -L/usr/X11R6/lib
-L/usr/lib -o dcopserver.la -rpath /usr/lib -module -avoid-version
dcopserver_la.all_cpp.lo libDCOP.la
gcc -shared  dcopserver_la.all_cpp.lo  -L/usr/X11R6/lib -L/usr/lib -lDCOP  -lc 
-Wl,-soname -Wl,dcopserver.so -o .libs/dcopserver.so
/usr/bin/ld: cannot find -lDCOP
collect2: ld returned 1 exit status
libtool: install: error: relink `dcopserver.la\' with the above command before
installing it
libtool: install: warning: remember to run `libtool --finish /usr/lib\'

Последняя строка особенно часто встречается в логе.
------- Comment #5 From 2001-10-22 13:44:54 -------
$ rpm -q automake autoconf libtool make cpp
automake-1.4-alt2.p5
autoconf-2.13-alt2
libtool-1.4-alt2
make-3.79.1-ipl4mdk
cpp-2.96-ipl14mdk
------- Comment #6 From 2001-10-22 13:44:54 -------
$ rpm -q automake autoconf libtool make cpp
automake-1.4-alt2.p5
autoconf-2.13-alt2
libtool-1.4-alt2
make-3.79.1-ipl4mdk
cpp-2.96-ipl14mdk
------- Comment #7 From 2001-10-29 20:01:55 -------
fixed in kdelibs-2.2.1-alt7
------- Comment #8 From 2001-10-29 20:01:55 -------
fixed in kdelibs-2.2.1-alt7
------- Comment #9 From 2003-09-24 12:29:55 -------
reassign 2 zerg@altlinux.org